VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ResourcePoolStub Class Reference

Remote stub implementation of the ResourcePool API service. More...

Inherits vmware::vcenter::ResourcePool.

List of all members.

## Public Member Functions
| ResourcePoolStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
vmware.vcenter.ResourcePoolTypes.Info | Get (string resourcePool)
| Retrieves information about the resource pool indicated by resourcePool .
vmware.vcenter.ResourcePoolTypes.Info | Get (string resourcePool, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves information about the resource pool indicated by resourcePool .
global::System.Threading.Tasks.Task < vmware.vcenter.ResourcePoolTypes.Info > | GetAsync (string resourcePool)
| Retrieves information about the resource pool indicated by resourcePool .
global::System.Threading.Tasks.Task < vmware.vcenter.ResourcePoolTypes.Info > | GetAsync (string resourcePool, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves information about the resource pool indicated by resourcePool .
global::System.Collections.Generic.List < vmware.vcenter.ResourcePoolTypes.Summary > | List (vmware.vcenter.ResourcePoolTypes.FilterSpec filter)
| Returns information about at most 1000 visible (subject to permission checks) resource pools in vCenter matching the ResourcePool.FilterSpec .
global::System.Collections.Generic.List < vmware.vcenter.ResourcePoolTypes.Summary > | List (vmware.vcenter.ResourcePoolTypes.FilterSpec filter, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about at most 1000 visible (subject to permission checks) resource pools in vCenter matching the ResourcePool.FilterSpec .
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.ResourcePoolTypes.Summary > > | ListAsync (vmware.vcenter.ResourcePoolTypes.FilterSpec filter)
| Returns information about at most 1000 visible (subject to permission checks) resource pools in vCenter matching the ResourcePool.FilterSpec .
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.ResourcePoolTypes.Summary > > | ListAsync (vmware.vcenter.ResourcePoolTypes.FilterSpec filter, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about at most 1000 visible (subject to permission checks) resource pools in vCenter matching the ResourcePool.FilterSpec .

## Detailed Description

Remote stub implementation of the ResourcePool API service.

## Constructor & Destructor Documentation

vmware::vcenter::ResourcePoolStub::ResourcePoolStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

vmware.vcenter.ResourcePoolTypes.Info vmware::vcenter::ResourcePoolStub::Get | ( | string | resourcePool | ) | `[inline]`

Retrieves information about the resource pool indicated by resourcePool .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the resource pool indicated by resourcePool does not exist.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  resourcePool | Identifier of the resource pool for which information should be retrieved. The parameter must be an identifier for the resource type: `ResourcePool` .

Returns:
  information about the resource pool.

Implements vmware::vcenter::ResourcePool.

vmware.vcenter.ResourcePoolTypes.Info vmware::vcenter::ResourcePoolStub::Get | ( | string | resourcePool,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Retrieves information about the resource pool indicated by resourcePool .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the resource pool indicated by resourcePool does not exist.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  resourcePool | Identifier of the resource pool for which information should be retrieved. The parameter must be an identifier for the resource type: `ResourcePool` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  information about the resource pool.

Implements vmware::vcenter::ResourcePool.

global::System.Threading.Tasks.Task<vmware.vcenter.ResourcePoolTypes.Info> vmware::vcenter::ResourcePoolStub::GetAsync | ( | string | resourcePool,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Retrieves information about the resource pool indicated by resourcePool .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the resource pool indicated by resourcePool does not exist.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  resourcePool | Identifier of the resource pool for which information should be retrieved. The parameter must be an identifier for the resource type: `ResourcePool` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  information about the resource pool.

Implements vmware::vcenter::ResourcePool.

global::System.Threading.Tasks.Task<vmware.vcenter.ResourcePoolTypes.Info> vmware::vcenter::ResourcePoolStub::GetAsync | ( | string | resourcePool | ) | `[inline]`

Retrieves information about the resource pool indicated by resourcePool .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the resource pool indicated by resourcePool does not exist.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  resourcePool | Identifier of the resource pool for which information should be retrieved. The parameter must be an identifier for the resource type: `ResourcePool` .

Returns:
  information about the resource pool.

Implements vmware::vcenter::ResourcePool.

global::System.Collections.Generic.List<vmware.vcenter.ResourcePoolTypes.Summary> vmware::vcenter::ResourcePoolStub::List | ( | vmware.vcenter.ResourcePoolTypes.FilterSpec | filter | ) | `[inline]`

Returns information about at most 1000 visible (subject to permission checks) resource pools in vCenter matching the ResourcePool.FilterSpec .

Exceptions:

  vmware.vapi.std.errors.UnableToAllocateResource | if more than 1000 resource pools match the ResourcePool.FilterSpec .
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  filter | Specification of matching resource pools for which information should be returned. If null, the behavior is equivalent to a ResourcePool.FilterSpec with all fields null which means all resource pools match the filter.

Returns:
  Commonly used information about the resource pools matching the ResourcePool.FilterSpec .

Implements vmware::vcenter::ResourcePool.

global::System.Collections.Generic.List<vmware.vcenter.ResourcePoolTypes.Summary> vmware::vcenter::ResourcePoolStub::List | ( | vmware.vcenter.ResourcePoolTypes.FilterSpec | filter,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns information about at most 1000 visible (subject to permission checks) resource pools in vCenter matching the ResourcePool.FilterSpec .

Exceptions:

  vmware.vapi.std.errors.UnableToAllocateResource | if more than 1000 resource pools match the ResourcePool.FilterSpec .
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  filter | Specification of matching resource pools for which information should be returned. If null, the behavior is equivalent to a ResourcePool.FilterSpec with all fields null which means all resource pools match the filter.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Commonly used information about the resource pools matching the ResourcePool.FilterSpec .

Implements vmware::vcenter::ResourcePool.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.ResourcePoolTypes.Summary> > vmware::vcenter::ResourcePoolStub::ListAsync | ( | vmware.vcenter.ResourcePoolTypes.FilterSpec | filter,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns information about at most 1000 visible (subject to permission checks) resource pools in vCenter matching the ResourcePool.FilterSpec .

Exceptions:

  vmware.vapi.std.errors.UnableToAllocateResource | if more than 1000 resource pools match the ResourcePool.FilterSpec .
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  filter | Specification of matching resource pools for which information should be returned. If null, the behavior is equivalent to a ResourcePool.FilterSpec with all fields null which means all resource pools match the filter.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Commonly used information about the resource pools matching the ResourcePool.FilterSpec .

Implements vmware::vcenter::ResourcePool.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.ResourcePoolTypes.Summary> > vmware::vcenter::ResourcePoolStub::ListAsync | ( | vmware.vcenter.ResourcePoolTypes.FilterSpec | filter | ) | `[inline]`

Returns information about at most 1000 visible (subject to permission checks) resource pools in vCenter matching the ResourcePool.FilterSpec .

Exceptions:

  vmware.vapi.std.errors.UnableToAllocateResource | if more than 1000 resource pools match the ResourcePool.FilterSpec .
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  filter | Specification of matching resource pools for which information should be returned. If null, the behavior is equivalent to a ResourcePool.FilterSpec with all fields null which means all resource pools match the filter.

Returns:
  Commonly used information about the resource pools matching the ResourcePool.FilterSpec .

Implements vmware::vcenter::ResourcePool.

The documentation for this class was generated from the following file:

- ResourcePoolStub.cs